Package chatapp.Protocol

# Class RunnerEcouteTCP

java.lang.Object
java.lang.Thread
chatapp.Protocol.RunnerEcouteTCP

All Implemented Interfaces:
  `java.lang.Runnable`

    public class RunnerEcouteTCP
    extends java.lang.Thread

Classe permettant de gérer les multiples connexions en TCP.
Extend la classe Thread.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Thread

`java.lang.Thread.State, java.lang.Thread.UncaughtExceptionHandler`

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`ChatApp` | `app` |

### Fields inherited from class java.lang.Thread

`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`RunnerEcouteTCP​(ChatApp app)` | Constructeur

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `addPropertyChangeListener​(java.beans.PropertyChangeListener pcl)` | Permet aux classes qui appellent cette methode de connecter un PropertyChangeListener au PropertyChangeSupport
`void` | `addSession​(SessionClavardage session)` | Méthode permettant d'ajouter une session active dans la liste 'ListeSessions'
`void` | `ecouteTCP​(ChatApp app)` | Methode pour qu'un objet de la classe ChatApp soit constamment en a l'écoute de potentielles connexions
`SessionClavardage` | `getSessionClavardage()` | Méthode permettant de recupérer la derniere session de clavardage créée dans 'ListeSessions'
`void` | `run()` | Méthode qui vient écraser la méthode run de la classe Thread.

### Methods inherited from class java.lang.Thread

`activeCount, checkAccess, clone, countStackFrames, currentThread, dumpStack, enumerate, getAllStackTraces, getContextClassLoader, getDefaultUncaughtExceptionHandler, getId, getName, getPriority, getStackTrace, getState, getThreadGroup, getUncaughtExceptionHandler, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, onSpinWait, resume, setContextClassLoader, setDaemon, setDefaultUncaughtExceptionHandler, setName, setPriority, setUncaughtExceptionHandler, sleep, sleep, start, stop, suspend, toString, yield`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### app

public ChatApp app

## Constructor Details

### RunnerEcouteTCP

public RunnerEcouteTCP​(ChatApp app)
Constructeur

Parameters:
  `app` - Un RunnerEcouteTCP est toujours associé a une application de Chat

## Method Details

### addPropertyChangeListener

public void addPropertyChangeListener​(java.beans.PropertyChangeListener pcl)
Permet aux classes qui appellent cette methode de connecter un PropertyChangeListener au PropertyChangeSupport

Parameters:
  `pcl` - Le propertyChangeListener qui va ecouter les evenements du propertyChangeSupport associe

### ecouteTCP

public void ecouteTCP​(ChatApp app)

Methode pour qu'un objet de la classe ChatApp soit constamment en a l'écoute de potentielles connexions

Parameters:
  `app` - L'utilisateur en ecoute de potentielles communications

### addSession

public void addSession​(SessionClavardage session)
Méthode permettant d'ajouter une session active dans la liste 'ListeSessions'

Parameters:
  `session` - Session Active que l'on souhaite rajouter

### getSessionClavardage

public SessionClavardage getSessionClavardage()
Méthode permettant de recupérer la derniere session de clavardage créée dans 'ListeSessions'

Returns:
  Premiere Session Active

### run

public void run()
Méthode qui vient écraser la méthode run de la classe Thread. La méthode 'ecouteTCP' est appelé.

Specified by:
  `run` in interface `java.lang.Runnable`
Overrides:
  `run` in class `java.lang.Thread`